Bug 975395 - On Origin on Fedora 19 installation, OpenShift::NodeException: Could not connect to ActiveMQ Server: SIGTERM
On Origin on Fedora 19 installation, OpenShift::NodeException: Could not conn...
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Krishna Raman
libra bugs
Depends On:
  Show dependency treegraph
Reported: 2013-06-18 07:17 EDT by Jan Pazdziora
Modified: 2015-05-14 22:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-03-12 16:33:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2013-06-18 07:17:10 EDT
Description of problem:

With fresh OpenShift Origin on Fedora 19 installation as of today, running oo-diagnostics seems to be stuck in the


step. The oo-diagnostics process blocks after

INFO: broker application cache permissions appear fine
INFO: running: test_node_profiles_districts_from_broker
INFO: checking node profiles via MCollective


recvfrom(14, "=)\201\203\0\1\0\0\0\1\0\0\6broker\7example\3com\3"..., 2048, 0, {sa_family=AF_INET, sin_port=htons(53), sin_addr=inet_addr("")}, [16]) = 116
poll([{fd=14, events=POLLIN}], 1, 4999) = 1 ([{fd=14, revents=POLLIN}])
ioctl(14, FIONREAD, [116])              = 0
recvfrom(14, "\263\261\201\203\0\1\0\0\0\1\0\0\6broker\7example\3com\3"..., 1932, 0, {sa_family=AF_INET, sin_port=htons(53), sin_addr=inet_addr("")}, [16]) = 116
close(14)                               = 0
uname({sys="Linux", node="cloud-qe-2.idm.lab.bos.redhat.com", ...}) = 0
futex(0x63746d4, FUTEX_WAKE_OP_PRIVATE, 1, 1, 0x63746d0, {FUTEX_OP_SET, 0, FUTEX_OP_CMP_GT, 1}) = 1
futex(0x6374750, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x1a5bf64, FUTEX_WAKE_OP_PRIVATE, 1, 1, 0x1a5bf60, {FUTEX_OP_SET, 0, FUTEX_OP_CMP_GT, 1}) = 1
futex(0x1a5bf30, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x1a5c634, FUTEX_WAIT_BITSET_PRIVATE, 47, {6941, 514163964}, ffffffff

for multiple seconds (minutes?) and cycles. When I kill the process, it says

FAIL: rescue in block in run_tests
error running test_node_profiles_districts_from_broker: #<OpenShift::NodeException: Could not connect to ActiveMQ Server: SIGTERM>
INFO: running: test_broker_accept_scripts
INFO: running oo-accept-broker

I tried to service activemq restart but it did not help. There is nothing interesting (== pointing to error) in /var/log/activemq/*.

Version-Release number of selected component (if applicable):

OpenShift Origin nightly on Fedora 19 as of today.

How reproducible:

Deterministic, I have seen this on multiple installations. And I did not see it yesterday.

Steps to Reproduce:
1. Do OpenShift Origin nightly on Fedora 19 installation.
2. Run oo-diagnostics -v -w 1

Actual results:

The process gets "stuck" at or around the test_node_profiles_districts_from_broker step.

Expected results:

See it go through the steps without getting stuck anywhere, like shown in bug 974497.

Additional info:
Comment 1 Jan Pazdziora 2013-06-18 07:18:14 EDT
Actually, I can see the same behaviour on installation with separate node + the other machine having all the other services as well.

Note You need to log in before you can comment on or make changes to this bug.